summaryrefslogtreecommitdiffstats
path: root/deployment/deploy-jars-pack200.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-11-09 03:05:17 +0100
committerSven Gothel <[email protected]>2010-11-09 03:05:17 +0100
commitb3e89bfa55389cae974c94afba6fb4ce118f75df (patch)
tree063f7d59cee39e3beeec7c17c74d10497d0fa8a5 /deployment/deploy-jars-pack200.sh
Provide deployment (jnlp) and hudson build aggregation scripts
Diffstat (limited to 'deployment/deploy-jars-pack200.sh')
-rwxr-xr-xdeployment/deploy-jars-pack200.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/deployment/deploy-jars-pack200.sh b/deployment/deploy-jars-pack200.sh
new file mode 100755
index 0000000..471e8ab
--- /dev/null
+++ b/deployment/deploy-jars-pack200.sh
@@ -0,0 +1,33 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+mkdir -p DLLS
+mv *natives*.jar DLLS/
+
+for i in *.jar ; do
+ echo pack200 -E9 $i.pack.gz $i
+ pack200 -E9 $i.pack.gz $i
+done
+
+mv DLLS/* .
+
+rm -rf DLLS
+
+cd $THISDIR
+